/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-06-12
 * 描述            ：二级接口-轧机_L3_轧辊数据
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.Rolling.Performance.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.Rolling.Performance.mapper.IfRoll01L3RollerMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="IF_ROLL01_L3_ROLLER", namespace=IfRoll01L3RollerMapper.class)
public class IfRoll01L3Roller extends BaseVO implements Serializable {
	/** 
	 * 记录号（由业务接口创建，唯一标识记录）
	 */ 
	@Id
	private Long serial_no;
	public Long getSerial_no() {
		return this.serial_no;
	}
	public void setSerial_no(Long serial_no) {
		this.serial_no = serial_no;
	}

	/** 
	 * 下发时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date send_time;
	public Date getSend_time() {
		return this.send_time;
	}
	public void setSend_time(Date send_time) {
		this.send_time = send_time;
	}

	/** 
	 * 下发人
	 */ 
	@Column
	private String send_opr;
	public String getSend_opr() {
		return this.send_opr;
	}
	public void setSend_opr(String send_opr) {
		this.send_opr = send_opr;
	}

	/** 
	 * 轧辊区域（1：冷轧钢、2：平整）
	 */ 
	@Column
	private String area_id;
	public String getArea_id() {
		return this.area_id;
	}
	public void setArea_id(String area_id) {
		this.area_id = area_id;
	}

	/** 
	 * 机架号（1 - 9）
	 */ 
	@Column
	private String stand_id;
	public String getStand_id() {
		return this.stand_id;
	}
	public void setStand_id(String stand_id) {
		this.stand_id = stand_id;
	}

	/** 
	 * 轧辊类型（WKR：工作辊、BUR： 支撑辊、IMR：中间辊）
	 */ 
	@Column
	private String roll_type;
	public String getRoll_type() {
		return this.roll_type;
	}
	public void setRoll_type(String roll_type) {
		this.roll_type = roll_type;
	}

}
